Main Page Packages Class Hierarchy Compound List File List Compound Members

# domimplementationfeaturenoversion Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| domimplementationfeaturenoversion (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If the "version" parameter is an empty string in the "hasFeature(feature,version)" method then supporting any version of the feature will cause the method to return true.

Retrieve the entire DOM document and invoke its "getImplementation()" method. This should create a DOMImplementation object whose "hasFeature(feature, version)" method is invoked with version equal to "". If the version is not specified, supporting any version feature will cause the method to return "true".

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-5CED94D7 , http://www.w3.org/2000/11/DOM-Level-2-errata#core-14

Definition at line 50 of file domimplementationfeaturenoversion.java.

## Constructor & Destructor Documentation

domimplementationfeaturenoversion::domimplementationfeaturenoversion | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 52 of file domimplementationfeaturenoversion.java.
    00053  {
    00054       super(factory);
    00055
    00056    }

## Member Function Documentation

String domimplementationfeaturenoversion::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file domimplementationfeaturenoversion.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/domimplementationfeaturenoversion";
    00070    }

void domimplementationfeaturenoversion::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file domimplementationfeaturenoversion.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(domimplementationfeaturenoversion.class,args);
    00073    }

void domimplementationfeaturenoversion::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 58 of file domimplementationfeaturenoversion.java. References DOMTestCase::assertTrue(), and DOMTest::load().
    00058                                                     {
    00059       Document doc;
    00060       DOMImplementation domImpl;
    00061       boolean state;
    00062       doc = load("staff");
    00063       domImpl = doc.getImplementation();
    00064 state = domImpl.hasFeature("XML","");
    00065 assertTrue("domimplementationFeatureNoVersionAssert",state);
    00066
    00067    }

The documentation for this class was generated from the following file:

- domimplementationfeaturenoversion.java